<?xml version="1.0" encoding="utf-8"?>
<creole>
    <files>
    </files>
    <variables>
        <family name='service'>
            <!-- FIXME : always hidden :o -->
            <variable name='eolesso_activer_cluster' type='oui/non' description="Activer le mode cluster" hidden='True'>
                <value>oui</value>
            </variable>
        </family>
        <family name='eole sso cluster' icon='redis'>
            <variable name='eolesso_cluster_server' type='oui/non' description="oui si cluster-server installé" hidden='True'>
                <value>non</value>
            </variable>
            <variable name='eolesso_stunnel_port' type='port' description="Port pour l'accès au service Redis à travers un tunnel SSL">
                <value>9380</value>
            </variable>
        </family>
    </variables>
    <constraints>
        <condition name='disabled_if_in' source='eolesso_activer_cluster'>
            <param>non</param>
            <target type='family'>eole sso cluster</target>
            <target type='filelist'>eolesso_cluster</target>
            <target type='servicelist'>eolesso_cluster</target>
            <target type='filelist' optional='True'>eolesso_cluster_server</target>
            <target type='servicelist' optional='True'>eolesso_cluster_server</target>
            <target type='filelist' optional='True'>eolesso_cluster_client</target>
        </condition>
    </constraints>
    <help>
        <family name='eole sso cluster'>Configuration d'EoleSSO en mode cluster</family>
        <variable name='eolesso_activer_cluster'>Active le stockage des sessions dans une base Redis</variable>
        <variable name='eolesso_stunnel_port'>Port permettant d'accéder au serveur Redis à travers un tunnel SSL</variable>
    </help>
</creole>
